VCS: https://gitlab.cern.ch/linuxsupport/rpms/cern-sssd-conf/-/tree/90075edfe18290d4ee0fd0bcbe524ce245008586
Name:          cern-sssd-conf
Version:       1.1
Release:       1%{?dist}
Summary:       A simple sssd configuration file to be used at CERN
Group:         CERN/Utilities
License:       BSD
URL:           http://linux.cern.ch
Source0:       %{name}-%{version}.tgz
BuildArch:     noarch
Requires:      sssd
Requires:      sssd-krb5
BuildRequires: systemd

%description
This rpm provides a basic sssd configuration file to be used at CERN

%package ipadev
Summary:       SSSD configuration for CERN IPAdev
Requires:      CERN-CA-certs, ipa-client
Conflicts:     cern-sssd-conf

%description ipadev
A basic SSSD configuration to use CERN IPAdev infrastructure as identity manager

%prep
%setup -q

%build

%install
install -d %{buildroot}/%{_sysconfdir}/sssd/conf.d
%if 0%{rhel} <= 7
install -p -m 0600 sssd.conf %{buildroot}/%{_sysconfdir}/sssd/sssd.conf
%endif
install -p -m 0600 00_cern.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/00_cern.conf
install -p -m 0600 00_cern-global.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/00_cern-global.conf
install -p -m 0600 01_cern-cernch.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/01_cern-cernch.conf
install -p -m 0600 01_cern-ipadev.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/01_cern-ipadev.conf

%files
%config %{_sysconfdir}/sssd/conf.d/00_cern.conf

%files ipadev
%if 0%{rhel} <= 7
%config %{_sysconfdir}/sssd/sssd.conf
%endif
%config %{_sysconfdir}/sssd/conf.d/00_cern-global.conf
%config %{_sysconfdir}/sssd/conf.d/01_cern-cernch.conf
%config %{_sysconfdir}/sssd/conf.d/01_cern-ipadev.conf

%post
%systemd_post sssd.service

%preun
%systemd_preun sssd.service

%postun
%systemd_postun sssd.service

%changelog
* Wed Jun 24 2020 Julien Rische <julien.rische@cern.ch> 1.1-1
- Add subpackage for IPAdev configuration

* Tue Apr 21 2020 Ben Morrice <ben.morrice@cern.ch> 1.0-2
- remove Requires: sssd-kcm 

* Fri Jan 17 2020 Ben Morrice <ben.morrice@cern.ch> 1.0-1
- Initial release
